function MEmoveFile = makeSingleMovieContrast(info)
    
expDirectory = info.expDirectory;
rotatedDir = info.rotatedDir;
epiMovieDir = info.epiMovieDir;
diaMovieDir = info.diaMovieDir;
position = info.position;
jarDir = info.jarDir;
ijDir = info.ijDir;
display = info.javaDisplay;
javaOption = info.javaOption;
macroFile = info.movieMacroFile;

MEmoveFile = [];
mkdir(fullfile(expDirectory,epiMovieDir));
mkdir(fullfile(expDirectory,diaMovieDir));

% Right epi
macroInput = fullfile(expDirectory,rotatedDir,sprintf('pos%d_R',position),'epi');
macroCmd = sprintf('%s java %s -jar "%s" -ijpath "%s" -batch "%s" "%s"',display,javaOption,jarDir,ijDir,macroFile,macroInput);
system(macroCmd);
try
    movefile(fullfile(expDirectory,rotatedDir,sprintf('pos%d_R',position),'epi','movie.avi'),fullfile(expDirectory,epiMovieDir,sprintf('movie_%d_R.avi',position)),'f');
catch MEmoveFile
    fprintf('\t\tWarning: %s -> force copying\n',MEmoveFile.message);
    delete(fullfile(expDirectory,epiMovieDir,sprintf('movie_%d_R.avi',position)));
    movefile(fullfile(expDirectory,rotatedDir,sprintf('pos%d_R',position),'epi','movie.avi'),fullfile(expDirectory,epiMovieDir,sprintf('movie_%d_R.avi',position)),'f');
end

% Right dia
macroInput = fullfile(expDirectory,rotatedDir,sprintf('pos%d_R',position),'dia');
macroCmd = sprintf('%s java %s -jar "%s" -ijpath "%s" -batch "%s" "%s"',display,javaOption,jarDir,ijDir,macroFile,macroInput);
system(macroCmd);
try
    movefile(fullfile(expDirectory,rotatedDir,sprintf('pos%d_R',position),'dia','movie.avi'),fullfile(expDirectory,diaMovieDir,sprintf('movie_%d_R.avi',position)),'f');
catch MEmoveFile
    fprintf('\t\tWarning: %s -> force copying\n',MEmoveFile.message);
    delete(fullfile(expDirectory,diaMovieDir,sprintf('movie_%d_R.avi',position)));
    movefile(fullfile(expDirectory,rotatedDir,sprintf('pos%d_R',position),'dia','movie.avi'),fullfile(expDirectory,diaMovieDir,sprintf('movie_%d_R.avi',position)),'f');
end

% Left epi
macroInput = fullfile(expDirectory,rotatedDir,sprintf('pos%d_L',position),'epi');
macroCmd = sprintf('%s java %s -jar "%s" -ijpath "%s" -batch "%s" "%s"',display,javaOption,jarDir,ijDir,macroFile,macroInput);
system(macroCmd);
try
    movefile(fullfile(expDirectory,rotatedDir,sprintf('pos%d_L',position),'epi','movie.avi'),fullfile(expDirectory,epiMovieDir,sprintf('movie_%d_L.avi',position)),'f');
catch MEmoveFile
    fprintf('\t\tWarning: %s -> force copying\n',MEmoveFile.message);
    delete(fullfile(expDirectory,epiMovieDir,sprintf('movie_%d_L.avi',position)));
    movefile(fullfile(expDirectory,rotatedDir,sprintf('pos%d_L',position),'epi','movie.avi'),fullfile(expDirectory,epiMovieDir,sprintf('movie_%d_L.avi',position)),'f');
end

% Left dia
macroInput = fullfile(expDirectory,rotatedDir,sprintf('pos%d_L',position),'dia');
macroCmd = sprintf('%s java %s -jar "%s" -ijpath "%s" -batch "%s" "%s"',display,javaOption,jarDir,ijDir,macroFile,macroInput);
system(macroCmd);
try
    movefile(fullfile(expDirectory,rotatedDir,sprintf('pos%d_L',position),'dia','movie.avi'),fullfile(expDirectory,diaMovieDir,sprintf('movie_%d_L.avi',position)),'f');
catch MEmoveFile
    fprintf('\t\tWarning: %s -> force copying\n',MEmoveFile.message);
    delete(fullfile(expDirectory,diaMovieDir,sprintf('movie_%d_L.avi',position)));
    movefile(fullfile(expDirectory,rotatedDir,sprintf('pos%d_L',position),'dia','movie.avi'),fullfile(expDirectory,diaMovieDir,sprintf('movie_%d_L.avi',position)),'f');
end
   
end