function makeSingleMovie_matlab(info)
    
expDirectory = info.expDirectory;
rotatedDir = info.rotatedDir;
epiMovieDir = info.epiNiceMovieDir;
position = info.position;
sides = info.side;

compressor = info.compressor;
quality = info.movieQuality;
epiColor = info.epiColor;

mkdir(fullfile(expDirectory,epiMovieDir));

satPix = 16383;
zeroPix = 0;
if strcmp(compressor,'Indeo5')
    M = 236;
else
    M = 256;
end

switch epiColor
    case 0
        epiMap = gray(M);
    case 1 %red
        epiMap =  gray(M);
        epiMap(:,[2 3]) = 0;
    case 2 %green
        epiMap =  gray(M);
        epiMap(:,[1 3]) = 0;
    case 3 %blue
        epiMap =  gray(M);
        epiMap(:,[1 2]) = 0;
end

for s=1:numel(sides)
    side = sides{s};

    fileFolder = fullfile(expDirectory,rotatedDir,sprintf('pos%d_%c',position,side));
    dirOutputEpi = dir(fullfile(fileFolder,'epi','*.tif'));
    fileNameEpi = {dirOutputEpi.name}';
    N = length(fileNameEpi);
    
    minEpi = Inf;
    maxEpi = 0;
    
    for n=1:N
        Iepi{n} = double(imread(fullfile(fileFolder,'epi',fileNameEpi{n})));
        if min(min(Iepi{n}(Iepi{n} ~= zeroPix))) < minEpi, minEpi = min(min(Iepi{n}(Iepi{n} ~= zeroPix))); end
        if max(max(Iepi{n}(Iepi{n} ~= satPix))) > maxEpi, maxEpi = max(max(Iepi{n}(Iepi{n} ~= satPix))); end
    end
    
    for n=1:N
        adjEpi = ceil((Iepi{n}-minEpi) / (maxEpi-minEpi) * M);
        adjEpi(adjEpi < 1) = 1;
        adjEpi(adjEpi > M) = M;
        mEpi(n) = im2frame(adjEpi,epiMap); 
    end
    
    movie2avi(mEpi,fullfile(expDirectory,epiMovieDir,sprintf('movie_%d_%c.avi',position,side)),'fps',7,'compression',compressor,'quality',quality);
    
end

