function z = nd_gammaLognConv(y,param1,param2,dx)

k = param1(1);
t = param1(2);
mu = param2(1);
sigma = param2(2);

g =  @(x,k,t) x.^(k-1).*exp(-x/t)/(t^k*gamma(k));
l = @(x,mu,sigma) 1./(x*sqrt(2*pi*sigma^2)) .* exp(-(log(x)-mu).^2/(2*sigma^2));

z = zeros(1,numel(y));
for i=1:numel(y)
    x=dx:dx:y(i)-dx;
    gy = g(x,k,t);
    gy(gy == Inf) = 0;
    ly = l(y(i)-x,mu,sigma);
    z(i) = trapz(x,gy.*ly);
end
