function [names, feature] = nd_granulometry2(I,mask, radii)

feature = [];
N = numel(radii);

granuleName = cell(2,N);
for k=1:N
    granuleName{1,k} = sprintf('gray_open_%d',radii(k));
    granuleName{2,k} = sprintf('gray_close_%d',radii(k));
end
names = [{granuleName{1,:}} {granuleName{2,:}}];     

% Pre-process image
pixMax = max(max(I));
Icell_open = double(I).*double(mask);
Icell_close = ones(size(I))*pixMax;
Icell_close(mask == 1) = I(mask == 1);

intensity_area(1) = mean(I(mask == 1));

% Get grayLevel opening
% figure(100), clf, subplot(2,3,1),imshow(uint8(Icell_open));
for k=1:N
    remain = imopen(Icell_open, strel('disk', radii(k)));
    intensity_area(k + 1) = mean(remain(mask == 1));
%     figure(100),subplot(2,3,k+1),imshow(uint8(remain));
end
intensity_area_prime = diff(intensity_area);

% figure(15), clf;
% subplot(1,2,1),
%     plot([0 radii], intensity_area, 'm - *'), grid on;
%     title('Sum of pixel values in opened image as a function of radius');
%     xlabel('radius of opening (pixels)');
%     ylabel('pixel value sum of opened objects (intensity)');
% subplot(1,2,2),
% plot(radii, intensity_area_prime, 'm - *'), grid on;
% title('Granulometry (Size Distribution) of Snowflakes');
% xlabel('radius of snowflakes (pixels)');
% ylabel('Sum of pixel values in snowflakes as a function of radius');

feature = [feature intensity_area_prime];

% Get grayLevel closing
% figure(101), clf, subplot(2,3,1),imshow(uint8(Icell_close));
for k=1:N
    remain = imclose(Icell_close, strel('disk', radii(k)));
    intensity_area(k + 1) = mean(remain(mask == 1));
%     figure(101),subplot(2,3,k+1),imshow(uint8(remain));
end
intensity_area_prime = diff(intensity_area);

% figure(16), clf;
% subplot(1,2,1),
%     plot([0 radii],intensity_area, 'm - *'), grid on;
%     title('Sum of pixel values in opened image as a function of radius');
%     xlabel('radius of opening (pixels)');
%     ylabel('pixel value sum of opened objects (intensity)');
% subplot(1,2,2),
% plot(radii,intensity_area_prime, 'm - *'), grid on;
% title('Granulometry (Size Distribution) of Snowflakes');
% xlabel('radius of snowflakes (pixels)');
% ylabel('Sum of pixel values in snowflakes as a function of radius');

feature = [feature intensity_area_prime];

end


