function [paravec,probvec,a] = nd_mcmc_log(x0,f,nsamples,sigma)

% nsamples = 2000;
% sigma = [0.05,0.05];
% f = @(params) nd_LogL_gamma(x,params);


probvec = zeros(nsamples,1);
paravec = zeros(nsamples,numel(x0));

% Initialitation
params = x0;
logpro = f(params);
a = 0; % Acceptance ratio

for n = 1:nsamples
    
    %if mod(n,100) == 0, display(n); end
    
    % Proposing new parameters
    newparams = lognrnd(log(params),sigma);
   
    % Computing new log likelihood 
    newlogpro = f(newparams);
    
    
    % ratio of likelihood 
    ratiom = exp(newlogpro-logpro);

    % ratio of proposal distributions
    % This is the full expression: ratioh = prod(lognpdf(params,log(newparams),sigma)./lognpdf(newparams,log(params),sigma));
    % The full expression simplifies as:
    ratioh = prod(newparams)/prod(params);
    
    % Total ratio
    ratio = ratiom*ratioh;
    
    % Checking if the move is accepted 
    if (ratio > rand(1))
        params = newparams;
        logpro = newlogpro;
        a = a + 1;
    end
    
    % Apdating vectors
    paravec(n,:) = params;
    probvec(n) = logpro;
end

% Displaying accpetance ratio and mean parameters
a = a/nsamples;

% % Plotting log likelihoods 
% figure
% plot(probvec)
% 
% % Plotting parameters
% figure
% plot(paravec);

