function nd_nbCellPlot(data,leg)

hold on;
maxScale = 1.2;
textShift = [0.2 0.95];
Nswitch = numel(data.switchTiming);

yMax = max(data.all) * maxScale;
plot(data.timing,data.all,'b','LineWidth',2);
plot(data.timing,data.good,'g','LineWidth',2);
plot(data.timing,data.outliers,'m','LineWidth',2);
plot(data.timing,data.discard,'-r','LineWidth',2);
for n = 2:Nswitch
    plot([data.switchTiming(n) data.switchTiming(n)],[0 maxScale*yMax],':k','LineWidth',2);
    if strcmp(data.condition{n},'sc') == 0
        text(data.switchTiming(n)+textShift(1),textShift(2)*yMax,data.condition{n});
    end
end
axis([0 max(data.timing) 0 yMax]);
set(gca,'lineWidth',2,'FontSize',12);
xlabel(data.xLabel,'FontSize',12);
ylabel(data.yLabel,'FontSize',12);
title(data.title,'FontSize',12);
if leg == 1, legend('total cells','good cells','discarded cells','Location','Best'); end

