function nd_smallSet_fct(info,side)

% Input
expDirectory = info.expDirectory;
expName = info.expName;
p = info.position;

if strcmp(side,'L')
    sideNum = 2;
else
    sideNum = 1;
end

% Parameters
warning off;
increment = 1;

% Directories
scMainDir = fullfile(expDirectory,info.scDir);
scDir = fullfile(scMainDir,sprintf('pos%d_%s',p,side));
rawImageDir = fullfile(expDirectory,'rotatedImage',sprintf('pos%d_%s',p,side));

% Directories
coordSelDir = fullfile(scDir,'CoordSelectedCells');
locFeatDir = fullfile(scMainDir,'locFeatures');
mkdir(locFeatDir);

% calculate features (on selected cells only)
dirEpi = dir(fullfile(rawImageDir,'epi','*.tif'));
epiFiles = {dirEpi.name}';

N = numel(epiFiles);
nSet = 1:increment:N;

count = 0;
for n=nSet
    count = count+1;
    Epi = imread(fullfile(rawImageDir,'epi',epiFiles{n}));
    CoordX = importdata(fullfile(coordSelDir,sprintf('CoordSelx_frame%d.txt', n)),',');
    CoordY = importdata(fullfile(coordSelDir,sprintf('CoordSely_frame%d.txt', n)),',');
    nbCells = size(CoordX,1);
    if nbCells ~= 0
        [feature, featureNames] = nd_analyzeImage(Epi, CoordX', CoordY');
    else
        feature = [];
        featureNames = [];
    end
    rawFeat{count} = feature;
    allData(count).feat = feature;
    allData(count).sample = epiFiles{n};
    allData(count).frame = n;
end

save(fullfile(scDir,'rawFeatures.mat'),'rawFeat');
save(fullfile(scDir,'featureNames.mat'),'featureNames');
save(fullfile(locFeatDir,sprintf('featData_%s_pos%d_%c.mat',expName,p,side)),'allData');

clear allData rawFeat


