function imageAlignment = shiftImage(BWrotated, BWtemplate, rotation, maxShift, x_window, tridentFactor)

%Filters
tridentFilter = [ones(1,20) zeros(1,95) tridentFactor*ones(1,20) zeros(1,95) ones(1,20)];

% Correlation with template
c = normxcorr2(BWtemplate,BWrotated);
%figure, imagesc(c), title('Images correlation');

% Horizontal convolution with trident filter
cc = zeros(size(c,1),size(c,2)+size(tridentFilter,2)-1);
for yy=1:size(c,1)
    cc(yy,:) = conv(c(yy,:),tridentFilter);
end
%figure, imagesc(cc), title('Correlation autocorrelation');

% Shift restriction
ccx_start = round(size(cc,2)/2)+maxShift.left;
ccx_end = round(size(cc,2)/2)+maxShift.right;
ccy_start = round(size(cc,1)/2)+maxShift.up;
ccy_end = round(size(cc,1)/2)+maxShift.down;
%figure, imagesc(cc(ccy_start:ccy_end,ccx_start:ccx_end)), title('CC shift restricted');

% X filter
c_x = zeros(size(c));           
%[xx_max, idx_xx] = max(sum(cc(yy_start:yy_end,:),1));
[xx_max, idx_xx] = max(sum(cc(ccy_start:ccy_end,ccx_start:ccx_end)));
xx_start = ccx_start+idx_xx(1)-size(tridentFilter,2)/2-x_window/2;
xx_end = ccx_start+idx_xx(1)-size(tridentFilter,2)/2+x_window/2;
c_x(:,xx_start:xx_end) = 1;
%figure, imagesc(c_x), title('X filter');

% Y filter
c_y = zeros(size(c));
c_y(ccy_start:ccy_end,:) = 1;
%figure, imagesc(c_y), title('Y filter');

cf = c .* c_x .* c_y;
%figure, imagesc(cf), title('Filtered correlation');

x_center = round(size(BWrotated,2)/2);
y_center = round(size(BWrotated,1)/2);

% Find filtered correlation maximum -> Get offset
if sum(sum(cf)) == 0
    x_peak = maxShift.left+abs(maxShift.left-maxShift.right)/2+round(size(BWtemplate,2)/2)+x_center;
    y_peak = maxShift.up+abs(maxShift.up-maxShift.down)/2+round(size(BWtemplate,1)/2)+y_center;
else
    [max_cf, imax] = max(abs(cf(:)));
    [y_peak, x_peak] = ind2sub(size(c),imax(1));
end

x_offset = x_peak-size(BWtemplate,2);
y_offset = y_peak-size(BWtemplate,1);

x_shift = (x_peak-round(size(BWtemplate,2)/2))-x_center;
y_shift = (y_peak-round(size(BWtemplate,1)/2))-y_center;

x_begin = round(x_offset+1); if(x_begin<1); x_begin =1; end
x_end   = round(x_offset+size(BWtemplate,2)); if(x_end>size(BWrotated,1)); x_end = size(BWrotated,1); end
y_begin = round(y_offset+1); if(y_begin<1); y_begin =1; end
y_end   = round(y_offset+size(BWtemplate,1)); if(y_end>size(BWrotated,2)); y_end = size(BWrotated,2); end

imageAlignment.rotation = rotation;
imageAlignment.x_center = x_center;
imageAlignment.y_center = y_center;
imageAlignment.x_offset = x_offset;
imageAlignment.y_offset = y_offset;
imageAlignment.x_shift = x_shift;
imageAlignment.y_shift = y_shift;
imageAlignment.x_begin = x_begin;
imageAlignment.x_end = x_end;
imageAlignment.y_begin = y_begin;
imageAlignment.y_end = y_end;

